Controllers/AccesoController.cs
using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using WebFBX.Clases;

namespace WebFBX.Controllers
{
    public class AccesoController : Controller
    {
        Clase_Conexion conexion = new Clase_Conexion();
        [HttpPost]
        public ActionResult Login(string usuario, string password)
        {
            if (Isvalid(usuario, password) == 1)
            {
                FormsAuthentication.SetAuthCookie(usuario, false);
                return RedirectToAction("VerProductos", "Administracion");
            }
            else
            {
                ViewData["MensajeErrorAcceso"] = "Error: Nombre usuario o contraseña es incorrecta";
                return View("LoguoErrado");
            }
        }
        public ActionResult LoguoErrado()
        {
            return View();
        }
        [HttpPost]
        public ActionResult LoguoErrado(string usuario, string password)
        {
            if (Isvalid(usuario, password) == 1)
            {
                FormsAuthentication.SetAuthCookie(usuario, false);
                return RedirectToAction("VerProductos", "Administracion");
            }
            else
            {
                ViewData["MensajeErrorAcceso"] = "Error: Nombre usuario o contraseña es incorrecta";
            }
            return View();
        }

        public int Isvalid(String codigo, String clave)
        {
            var retorno = 0;
            var nombre_usuario = "";
            DataTable tabla = new DataTable();
            try
            {
                String sql = "SELECT nombre,email,password,puerto,smtp FROM usuarios WHERE (codigo=@codigo AND clave=@clave)";
                conexion.conectar();
                MySqlDataAdapter datos = new MySqlDataAdapter(sql, conexion.con);
                datos.SelectCommand.Parameters.Add("@codigo", MySqlDbType.VarChar, 100);
                datos.SelectCommand.Parameters["@codigo"].Value = codigo;
                datos.SelectCommand.Parameters.Add("@clave", MySqlDbType.VarChar, 100);
                datos.SelectCommand.Parameters["@clave"].Value = clave;
                conexion.cerrar();
                datos.Fill(tabla);
                foreach (DataRow user_name in tabla.Rows)
                {
                    nombre_usuario = user_name[0].ToString();
                    retorno = 1;
                    Session["ss_UserCodigo"] = codigo;
                    Session["ss_email"] = user_name[1].ToString();
                    Session["ss_password"] = user_name[2].ToString();
                    Session["ss_puerto"] = user_name[3].ToString();
                    Session["ss_smtp"] = user_name[4].ToString();

                }


            }
            catch (Exception e)
            {
                retorno = -1;
                string error = e.Message;
            }
            return retorno;
        }
        public ActionResult Logout()
        {
            Session.Abandon();
            Session.Clear();
            System.Web.Security.FormsAuthentication.SignOut();
            Response.Cookies.Add(new HttpCookie("ASP.NET_SessionId", ""));
            return RedirectToAction("Index","Home");

        }
    }
}

Controllers/FamiliasController.cs
using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebFBX.Clases;
using WebFBX.Models;
using System.IO;
using System.Text;

namespace WebFBX.Controllers
{
    public class FamiliasController : Controller
    {
        Clase_Conexion conexion = new Clase_Conexion();

        [HttpPost]
        public ActionResult partialFoto(string referencia)
        {
            ViewData["referencia"] = referencia;
            return View();
        }

        public ActionResult GetFoto(int referencia)
        {
            try
            {
                conexion.conectar();
                string sql = "SELECT foto,formato AS extension FROM familias WHERE referencia=" + referencia + "  ";
                byte[] imagen = null;
                string extension = "";
                string nombre = "foto";
                using (MySqlCommand cmd = new MySqlCommand(sql, conexion.con))
                {
                    using (MySqlDataReader d = cmd.ExecuteReader())
                    {
                        if (d.Read())
                        {
                            string f = d["foto"].ToString();
                            if (f == "")
                            {
                                var folder = Server.MapPath("~/img/imagen_sin_foto.png");
                                extension = "image/png";
                                imagen = System.IO.File.ReadAllBytes(folder);
                            }
                            else
                            {
                                imagen = (byte[])d["foto"];
                                extension = (string)d["extension"];
                            }
                            nombre = nombre + referencia.ToString() + "." + extension;
                        }
                        else
                        {
                            var folder = Server.MapPath("~/img/imagen_sin_foto.png");
                            string contentType = "image/png";
                            byte[] foto_blanco = System.IO.File.ReadAllBytes(folder);
                            //MySqlConnection.ClearAllPools();
                            return File(foto_blanco, contentType, "imagen.png");
                        }
                    }
                }
                //return File(imagen, "image/jpeg");
                return File(imagen, "application/octet-stream", nombre);

            }
            catch (Exception ex)
            {
                string erro = ex.Message;
                return Json(ex);
            }
            finally
            {
                conexion.cerrar();

            }
        }

        [HttpPost]
        public ActionResult EditarFotoFamilia(string referencia)
        {
            var retorno = "0";
            try
            {

                conexion.conectar();

                for (int i = 0; i < Request.Files.Count; i++)
                {
                    var file = Request.Files[i];
                    if (file.ContentLength > 0)
                    {
                        string fileName = Path.GetFileName(file.FileName);
                        string formato = System.IO.Path.GetExtension(file.FileName);

                        using (BinaryReader reader = new BinaryReader(file.InputStream))
                        {
                            byte[] archivo_binario = reader.ReadBytes(file.ContentLength);

                            string sql = "UPDATE familias ";
                            sql += "SET foto = @foto";
                            sql += ",formato = @formato";
                            sql += " WHERE referencia = @referencia";



                            MySqlCommand datos = new MySqlCommand(sql, conexion.con);
                            datos.Parameters.Add(new MySqlParameter("@foto", archivo_binario));
                            datos.Parameters.Add(new MySqlParameter("@referencia", referencia));
                            datos.Parameters.Add(new MySqlParameter("@formato", formato));
                            datos.ExecuteNonQuery();
                        }
                    }
                }

                retorno = "1";
            }
            catch (Exception error)
            {
                retorno = error.Message;
            }
            finally
            {
                conexion.cerrar();
            }
            return Json(retorno);
        }


        [HttpPost]
        public ActionResult GuardarFamilia(FamiliasModels familias)
        {
            var retorno = "0";
            try
            {

                conexion.conectar();

                for (int i = 0; i < Request.Files.Count; i++)
                {
                    var file = Request.Files[i];
                    if (file.ContentLength > 0)
                    {
                        string fileName = Path.GetFileName(file.FileName);
                        string formato = System.IO.Path.GetExtension(file.FileName);

                        using (BinaryReader reader = new BinaryReader(file.InputStream))
                        {
                            byte[] archivo_binario = reader.ReadBytes(file.ContentLength);

                            string sql = "INSERT familias ";
                            sql += "SET codigo = @codigo";
                            sql += ",nombre = @nombre";
                            sql += ",foto = @foto";
                            sql += ",formato = @formato";


                            MySqlCommand datos = new MySqlCommand(sql, conexion.con);
                            datos.Parameters.Add(new MySqlParameter("@foto", archivo_binario));
                            datos.Parameters.Add(new MySqlParameter("@codigo", familias.codigo));
                            datos.Parameters.Add(new MySqlParameter("@nombre", familias.nombre));
                            datos.Parameters.Add(new MySqlParameter("@formato", formato));
                            datos.ExecuteNonQuery();
                        }
                    }
                }    

                retorno = "1";
            }
            catch (Exception error)
            {     
                retorno = error.Message;
            }
            finally
            {
                conexion.cerrar();
            }
            return Json(retorno);
        }

        [HttpPost]
        public ActionResult EliminarFamilia(FormCollection form_)
        {
            var retorno = 0;
            try
            {
                String codigo = form_["codigo"];
                String referencia = form_["referencia"];
                int verifica = VerificaDatosRelacionFamilia(codigo);
                if (verifica == 1)
                {
                    retorno = 2;
                }
                else if (verifica == -1)
                {
                    retorno = -1;
                }
                else
                {
                    string sql = "DELETE FROM familias WHERE referencia=@referencia";
                    conexion.conectar();
                    MySqlCommand datos = new MySqlCommand(sql, conexion.con);
                    datos.Parameters.Add(new MySqlParameter("@referencia", referencia));
                    datos.ExecuteNonQuery();
                    conexion.cerrar();
                    retorno = 1;

                }
                return Json(retorno);
            }
            catch (Exception error)
            {

                return Json(error.Message);
            }

        }

        public int VerificaDatosRelacionFamilia(String codigo)
        {
            var retorno = 0;
            int existe_familia = 0;
            DataTable tabla_familia = new DataTable();
            try
            {
                String sql_producto = "SELECT familia FROM productos WHERE (familia = " + codigo + ") ";
                conexion.conectar();
                MySqlDataAdapter datos_cta = new MySqlDataAdapter(sql_producto, conexion.con);
                datos_cta.Fill(tabla_familia);
                existe_familia = tabla_familia.Rows.Count;
                if (existe_familia > 0)
                {
                    retorno = 1;
                }
            }
            catch (Exception)
            {
                retorno = -1;
            }
            finally
            {
                conexion.cerrar();
            }
            return retorno;
        }

        [HttpPost]
        public ActionResult ActualizaNombreFamilia(string referencia, string nombre)
        {
            var retorno = "0";
            try
            {
                conexion.conectar();
                string sql = "UPDATE familias ";
                sql += "SET nombre = @nombre ";
                sql += "WHERE referencia = @referencia ";

                MySqlCommand datos = new MySqlCommand(sql, conexion.con);
                datos.Parameters.Add(new MySqlParameter("@nombre", nombre));
                datos.Parameters.Add(new MySqlParameter("@referencia", referencia));
                datos.ExecuteNonQuery();

                retorno = "1";
            }
            catch (Exception error)
            {
                //String rollback = "rollback";
                //MySqlCommand datos_rollback = new MySqlCommand(rollback, conexion.con);
                //datos_rollback.ExecuteScalar();
                retorno = error.Message;
            }
            finally
            {
                conexion.cerrar();
            }
            return Json(retorno);
        }

        public ActionResult partialListadoFamilias()
        {
 
            List<FamiliasModels> Listafamilias = new List<FamiliasModels>();

            int retorno = 0;
            string mensaje_error = "";
            string codigo = "";
            string nombre = "";
            string referencia = "";

            try

Views/Shared/_Layout_Admin.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta charset="utf-8" />
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" type="image/x-icon" href="@Url.Content("~/img/favicon.png")">

    <title>Pesca del día - @ViewBag.Title</title>
    @Styles.Render("~/bundles/estilos")
    @Styles.Render("~/Content/font_awesome")
    @Styles.Render("~/Content/alerta_mensaje")
    @Styles.Render("~/Content/validationEngine")
    @Styles.Render("~/Content/jquery-ui")
    @Styles.Render("~/estilo/datatable")
    @Styles.Render("~/estilo/exportarDataTable")

    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <!-- header-start -->
    <header>
        <div class="header-area ">
            <div class="header-top_area">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-6 col-md-6 ">
                            <div class="social_media_links">
                                <!--<a href="#">
                                    <i class="fa fa-linkedin"></i>
                                </a>
                                <a href="#">
                                    <i class="fa fa-facebook"></i>
                                </a>
                                <a href="#">
                                    <i class="fa fa-google-plus"></i>
                                </a>-->
                                <div class="titulo_superior_izquierda">
                                    DESPACHO EL MISMO DÍA DE TU COMPRA
                                </div>


                            </div>
                        </div>
                        <div class="col-xl-6 col-md-6">
                            <div class="short_contact_list">
                                <ul>
                                    <li class="contacto"><a href="https://wa.me/56998791040" target="_blank">Contáctanos <i class="fab fa-whatsapp" style="font-size:17px !important"></i>&nbsp; +56 9 9879 1040 </a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="sticky-header" class="main-header-area main-header-area_movil">
                <div class="container">
                    <div class="row align-items-center">
                        <div class="col-xl-3 col-lg-2">
                            <div class="logo text-center">
                                <a href="@Url.Action("VerProductos", "Administracion")">
                                    <img src="@Url.Content("~/img/logo.png")" alt="" class="logo_pc">
                                    <img src="@Url.Content("~/img/logo-blanco.png")" class="logo_movil" alt="" style="max-height:60px;"><span class="logo_movil" style="color:#ffffff">PESCA DEL DÍA</span>
                                </a>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-7">
                            <div class="main-menu  d-none d-lg-block">
                                <nav>
                                    <ul id="navigation">
                                        <li>@Html.ActionLink("PRODUCTOS", "VerProductos", "Administracion")
                                        <li>@Html.ActionLink("FAMILIAS", "ActualizarFamilias", "Familias")
                                        <li>@Html.ActionLink("DESCUENTO", "ActualizarDescuentos", "Descuentos")
                                        <li>@Html.ActionLink("LISTA ESPERA", "VerListaEspera", "ListaEspera")
										<li>@Html.ActionLink("PARAMETROS", "Aindex", "AdminParametros")
                                    </ul>
                                </nav>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-3 ">
                            <div class="menu_user">
                                <a href="#"><span class="fas fa-user" style="color:darkblue"></span>@Session["ss_UserName"]</a>&nbsp;
                                <a href="@Url.Action("Logout", "Acceso")"><span class="fas fa-sign-out-alt" style="color:red"></span> Salir</a>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="mobile_menu d-block d-lg-none"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- header-end -->

    @RenderBody()

    <div class="modal" id="modal_exito" role="document">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header header_modal_success">
                    <h4 class="modal-title titulo_modal_h3"><img alt="" src="@Url.Content("~/img/iconos/accept32x32.png")" height="32" width="32" /> Operación Exitosa</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body">
                    <div id="exito_modal_msj"></div>
                    <div class="form-horizontal">
                        <div class="modal-footer">
                            <div class="container">
                                <div class="row">
                                    <div class="col text-center">
                                        <button type="button" class="btn btn-success" data-dismiss="modal"><i class="fas fa-check"></i>Aceptar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" id="modal_exito_foto" role="document">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header header_modal_success">
                    <h4 class="modal-title titulo_modal_h3"><img alt="" src="@Url.Content("~/img/iconos/accept32x32.png")" height="32" width="32" /> Operación Exitosa</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body">
                    <div id="exito_modal_msj_foto"></div>
                    <div class="form-horizontal">
                        <div class="modal-footer">
                            <div class="container">
                                <div class="row">
                                    <div class="col text-center">
                                        <button type="button" class="btn btn-success" data-dismiss="modal"><i class="fas fa-check"></i>Aceptar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" id="modal_error" role="document">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header header_modal_danger">
                    <h4 class="modal-title titulo_modal_h3"><img alt="" src="@Url.Content("~/img/iconos/error.png")" height="32" width="32" /> Error</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body">
                    <div id="error_modal_msj"></div>
                    <div class="form-horizontal">
                        <div class="modal-footer">
                            <div class="container">
                                <div class="row">
                                    <div class="col text-center">
                                        <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="fas fa-check"></i>Aceptar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="ajax_loader_2" style="position: absolute; left: 50%; top: 50%; z-index: 10000;display:none">
        <b style="color:#000000;background-color:rgba(220, 242, 247, 0.76)">Cargando ...</b>
        <img src="../../img/loading_page.gif" class="img-responsive" style="height:100px !important;width:100px !important;" />
    </div>

    <!-- footer end  -->
    <!-- link that opens popup -->
    <!-- form itself end-->


    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @Scripts.Render("~/bundles/alerta_mensaje")
    @Scripts.Render("~/bundles/funciones")
    @Scripts.Render("~/bundles/jquery_engine")
    @Scripts.Render("~/bundles/jquery-ui")
    @Scripts.Render("~/bundles/librerias")
    @Scripts.Render("~/bundles/datatables")
    @Scripts.Render("~/bundles/exportarDataTable")

@RenderSection("scripts", required: false)
</body>
</html>